=== debian/control ===
--- 
+++ 
@@ -1,36 +1,38 @@
 Source: gnutls28
 Section: libs
 Priority: optional
-Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
 Uploaders: Andreas Metzler <ametzler@debian.org>,
  Eric Dorland <eric@debian.org>,
  James Westby <jw+debian@jameswestby.net>,
  Simon Josefsson <simon@josefsson.org>
-Build-Depends: debhelper (>= 9), nettle-dev (>= 2.7), zlib1g-dev,
- libtasn1-6-dev (>= 3.9), autotools-dev, guile-2.0-dev [!ia64 !m68k], datefudge,
- libp11-kit-dev (>= 0.20.7), pkg-config, chrpath, libidn11-dev,
+Build-Depends: debhelper (>= 9.20150628), nettle-dev (>= 3.1), zlib1g-dev,
+ libtasn1-6-dev (>= 4.3), autotools-dev, guile-2.0-dev [!ia64 !m68k],
+ datefudge <!nocheck>, dpkg-dev (>= 1.17.14),
+ libp11-kit-dev (>= 0.23.1), pkg-config, chrpath, libidn11-dev (>= 1.31),
  autogen (>= 1:5.16-0), bison, dh-autoreconf, libgmp-dev (>= 2:6),
- libopts25-dev, net-tools
+ libopts25-dev, automake (>= 1:1.12.2)
 # The b-d on libgmp-dev is not technically necessary, since nettle brings
 # it along. However we want to enforce that gnutls is only built if the
 # dual-licensed GMP is available, otherwise the resulting binary
 # cannot be installed.
 Build-Depends-Indep: gtk-doc-tools, texinfo (>= 4.8)
-Build-Conflicts: libgnutls-dev, libp11-kit-dev (= 0.21.2-1)
-Standards-Version: 3.9.5
-Vcs-Git: git://anonscm.debian.org/pkg-gnutls/gnutls.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnutls/gnutls.git
+Build-Conflicts: libgnutls-dev
+Standards-Version: 3.9.7
+Vcs-Git: https://anonscm.debian.org/git/pkg-gnutls/gnutls.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gnutls/gnutls.git/
 Homepage: http://www.gnutls.org/
 
-Package: libgnutls28-dev
+Package: libgnutls-dev
 Section: libdevel
 Architecture: any
 Provides: gnutls-dev, libgnutls-openssl-dev
-Depends: libgnutls-deb0-28 (= ${binary:Version}), 
+Depends: libgnutls30 (= ${binary:Version}),
+ libgnutls-openssl27 (= ${binary:Version}),
  libgnutlsxx28 (= ${binary:Version}), 
- nettle-dev (>= 2.5), libc6-dev | libc-dev, zlib1g-dev,
- libtasn1-6-dev (>= 3.9), libp11-kit-dev, ${misc:Depends},
- libgnutls-openssl27 (= ${binary:Version}),
+ nettle-dev, libc6-dev | libc-dev, zlib1g-dev,
+ libtasn1-6-dev, libp11-kit-dev, libidn11-dev (>= 1.31), ${misc:Depends}
 Suggests: gnutls-doc, gnutls-bin, guile-gnutls
 Conflicts: gnutls-dev
 Replaces: gnutls-dev
@@ -54,14 +56,27 @@
  .
  This package contains the GnuTLS development files.
 
-Package: libgnutls-deb0-28
+Package: libgnutls28-dev
+Section: libdevel
+Architecture: any
+Depends: libgnutls-dev (= ${binary:Version})
+Multi-Arch: same
+Description: dummy transitional package for GNU TLS library - development files
+ This is a transitional dummy package for libgnutls28-dev to
+ libgnutls-dev migration.  GnuTLS is a portable library which
+ implements the Transport Layer Security (TLS 1.0, 1.1, 1.2) and
+ Secure Sockets Layer (SSL) 3.0 and Datagram Transport Layer Security
+ (DTLS 1.0, 1.2) protocols.
+ .
+ This package can be safely removed.
+
+Package: libgnutls30
 Priority: standard
 Architecture: any
 # GMP >= 6 is dual-licensed GPLv2+/LGPLv2.1+. Be nice to rdeps and
 # enforce usage of this version. - Remove on gmp soname bump!
 Depends: ${shlibs:Depends}, ${misc:Depends}, libgmp10 (>= 2:6)
-Replaces: gnutls0, gnutls3, gnutls0.4
-Conflicts: gnutls0, gnutls0.4
+Conflicts: libnettle4, libhogweed2
 Pre-Depends: ${misc:Pre-Depends}
 Suggests: gnutls-bin
 Multi-Arch: same
@@ -83,19 +98,6 @@
     Camellia (RFC 4132)).
  .
  This package contains the main runtime library.
-
-Package: libgnutls28-dbg
-Priority: extra
-Architecture: any
-Section: debug
-Depends: libgnutls-deb0-28 (= ${binary:Version}), ${misc:Depends}
-Multi-Arch: same
-Description: GNU TLS library - debugger symbols
- GnuTLS is a portable library which implements the Transport Layer
- Security (TLS 1.0, 1.1, 1.2) and Secure Sockets Layer (SSL) 3.0 and Datagram
- Transport Layer Security (DTLS 1.0, 1.2) protocols.
- .
- This package contains the debugger symbols.
 
 Package: gnutls-bin
 Architecture: any
@@ -179,7 +181,7 @@
 Package: libgnutlsxx28
 Priority: extra
 Architecture: any
-Depends: libgnutls-deb0-28 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libgnutls30 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: GNU TLS library - C++ runtime library
@@ -204,7 +206,7 @@
 Package: libgnutls-openssl27
 Priority: standard
 Architecture: any
-Depends: libgnutls-deb0-28 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libgnutls30 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: GNU TLS library - OpenSSL wrapper
