=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,15 @@
 
 export DEB_CFLAGS_MAINT_APPEND := -Wall
 export DEB_CXXFLAGS_MAINT_APPEND := -Wall
+
+# used by autogen
+ifndef SOURCE_DATE_EPOCH
+	export MAN_PAGE_DATE = $(shell env LC_ALL=C date -u -d \
+		"`dpkg-parsechangelog --show-field Date`" +%Y-%m-%d)
+else
+	export MAN_PAGE_DATE = $(shell env LC_ALL=C date -u -d \
+		"@$(SOURCE_DATE_EPOCH)" +%Y-%m-%d)
+endif
 
 AMCONFBUILDINDEP := $(shell if dh_listpackages | grep -q gnutls-doc ; \
 	then echo "--enable-gtk-doc" ; \
@@ -19,7 +28,8 @@
 	--without-lzo \
 	--disable-libdane --without-tpm \
 	--disable-heartbeat-support \
-	-disable-silent-rules \
+	--enable-openssl-compatibility \
+	--disable-silent-rules \
 	--with-default-trust-store-file=/etc/ssl/certs/ca-certificates.crt \
 	--with-packager=Debian \
 	--with-packager-bug-reports=http://bugs.debian.org/ \
@@ -30,7 +40,7 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -p libgnutlsxx28 -V 'libgnutlsxx28 (>= 3.3.8-0)'
-	dh_makeshlibs -p libgnutls-deb0-28  -V 'libgnutls-deb0-28 (>= 3.3.8-0)' -- -c4
+	dh_makeshlibs -p libgnutls30  -V 'libgnutls30 (>= 3.4.6-0)' -- -c4
 	dh_makeshlibs -p libgnutls-openssl27 -V 'libgnutls-openssl27 (>= 3.0-0)'
 	dh_makeshlibs --remaining-packages -Xguile/2.0/guile-gnutls-v-2.so
 
@@ -45,8 +55,7 @@
 	# restore gnutls.pdf
 	if [ -e doc/gnutls.pdf.debbackup ] && [ ! -e doc/gnutls.pdf ] ; \
 		then mv -v doc/gnutls.pdf.debbackup doc/gnutls.pdf ; fi
-	rm -fv `grep -l 'has been AutoGen-ed ' doc/manpages/*.?`
-	rm -f tests/cert-tests/csr-invalid.der
+	rm -fv `grep -El 'has been AutoGen-ed |has been AutoGen-ed *$$' doc/manpages/*.?`
 
 override_dh_auto_build:
 	dh_auto_build --verbose --parallel
@@ -87,24 +96,17 @@
 override_dh_installchangelogs:
 	dh_installchangelogs
 	rm -vrf debian/libgnutlsxx28/usr/share/doc/libgnutlsxx28
-	dh_link -plibgnutlsxx28 usr/share/doc/libgnutls-deb0-28 \
+	dh_link -plibgnutlsxx28 usr/share/doc/libgnutls30 \
 		usr/share/doc/libgnutlsxx28
 
 override_dh_compress:
 	dh_compress -X.pdf
 
 override_dh_strip:
-	dh_strip --dbg-package=libgnutls28-dbg
+	dh_strip --ddeb-migration='libgnutls30-dbg (<< 3.4.7-2~)'
 
 override_dh_auto_test:
-	cp -v debian/csr-invalid.der tests/cert-tests/
-	chmod +x tests/cert-tests/crq
-	dh_auto_test -O--parallel || touch dh_auto_test.fail
-	@if test -e dh_auto_test.fail ; then \
-		find -name test-suite.log | \
-		while read i ; do \
-		echo "----dh_auto_test.fail" ; echo $$i ; echo ---- ; \
-		cat $$i ; echo ; done ; rm -f dh_auto_test.fail; false; fi
+	dh_auto_test -O--parallel --verbose -- VERBOSE=1
 
 override_dh_clean:
 	dh_clean -X.bak
