## gnutls28 3.5.3

=== debian/changelog ===
gnutls28 (3.5.3-5ubuntu1) yakkety; urgency=medium

  * Merge with Debian (LP: #1624856).  Remaining changes:
    - debian/patches/disable_global_init_override_test.patch: disable failing
      test.
    - debian/patches/add-openssl-test-link.patch: add link for libssl

 -- Anders Kaseorg <andersk@mit.edu>  Sun, 18 Sep 2016 08:03:47 -0400

gnutls28 (3.5.3-5) experimental; urgency=medium

  * Pull DTLS fixes from upstream GIT master.
    45_01-tests-enhance-the-DTLS-window-unit-test-to-account-f.patch
    45_02-dtls-ensure-that-the-DTLS-window-doesn-t-get-stalled.patch
    45_03-tests-mini-dtls-record-modified-expected-order-to-ac.patch
    45_04-Import-DTLS-sliding-window-validation-from-OpenConne.patch
    Closes: #835587

 -- Andreas Metzler <ametzler@debian.org>  Wed, 07 Sep 2016 19:56:58 +0200

gnutls28 (3.5.3-4ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/patches/disable_global_init_override_test.patch: disable failing
      test.
    - debian/patches/add-openssl-test-link.patch: add link for libssl

 -- Matthias Klose <doko@ubuntu.com>  Tue, 06 Sep 2016 14:55:35 +0200

gnutls28 (3.5.3-4) unstable; urgency=high

  * 39_ocsptool-corrected-bug-in-session-establishment.patch: Fix segfault of
    ocsptool --ask ... Closes: #836371
  * 40_ocsp-corrected-the-comparison-of-the-serial-size-in-.patch: OCSP
    certificate check doesn't actually verify the serial length and might
    succeed when it shouldn't.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 03 Sep 2016 14:00:22 +0200

gnutls28 (3.5.3-3ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/patches/disable_global_init_override_test.patch: disable failing
      test.
    - debian/patches/add-openssl-test-link.patch: add link for libssl

 -- Matthias Klose <doko@ubuntu.com>  Wed, 31 Aug 2016 14:13:04 +0200

gnutls28 (3.5.3-3) unstable; urgency=medium

  * 35_gnutls-cli-print-Handshake-was-completed.patch: Again print 'Handshake
    was completed', fixing emacs' lisp/net/tls.el. Closes: #834516
  * 36_gnutls-cli-fixed-the-behavior-when-starttls-or-start.patch
    gnutls-cli STARTTLS support was broken in 3.5.3.
  * 37_openssl-format-fix-from-openconnect.patch: Fix GnuTLS handling of
    OpenSSL encrypted PEM files.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 24 Aug 2016 19:27:04 +0200

gnutls28 (3.5.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 15 Aug 2016 13:06:28 +0200

gnutls28 (3.5.3-1) experimental; urgency=medium

  * New upstream version.
    + Update libgnutls30.symbols.
    + Drop 31_nettle-use-rsa_-_key_prepare-on-key-import.patch (forgot to
      apply it in the previous upload anyway.)
    + Add b-d on libcmocka-dev (marked with <!nocheck>).

 -- Andreas Metzler <ametzler@debian.org>  Wed, 10 Aug 2016 19:14:22 +0200

gnutls28 (3.5.2-3) experimental; urgency=medium

  * Cherry pick 31_nettle-use-rsa_-_key_prepare-on-key-import.patch
    from upstream GIT, which should allow gnutls continue to work with
    CVE-2016-6489-patched nettle.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 08 Aug 2016 19:41:41 +0200

gnutls28 (3.5.2-2ubuntu4) yakkety; urgency=medium

  * Revert the last change, fail again on failed tests.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Aug 2016 17:15:26 +0200

gnutls28 (3.5.2-2ubuntu3) yakkety; urgency=medium

  * Ignore the test results for a first build.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Aug 2016 15:22:38 +0200

gnutls28 (3.5.2-2ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable (LP: #1608129). Remaining changes:
    - debian/patches/disable_global_init_override_test.patch: disable failing
      test.
    - debian/patches/add-openssl-test-link.patch: add link for libssl

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 30 Jul 2016 23:39:07 +0200

gnutls28 (3.5.2-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 27 Jul 2016 19:05:04 +0200

gnutls28 (3.5.2-1) experimental; urgency=low

  * New upstream version.
  * Add libssl-dev b-d (marked with <!nocheck>), which can be used in
    testsuite.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 10 Jul 2016 06:51:39 +0200

gnutls28 (3.5.1-1) experimental; urgency=medium

  * Merge from unstable:
    + Drop libgnutls30 Conflicts with libnettle4, libhogweed2. - These should
      have been dropped with the soname bump from libgnutls-deb0-28 to
      libgnutls30 in the first place. (Thanks, Andreas Beckmann)
      Closes: #825645
    + 3.5.1 testsuite also requires netstat, add b-d, marked as optional via
      the <!nocheck> profile.
  * New upstream version.
    + Drop 40_openssl_compat-removed-unneeded-headers.patch.
    + Install README.md instead of README.
    + Update symbol file.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 18 Jun 2016 17:34:44 +0200

gnutls28 (3.5.0-1) experimental; urgency=medium

  * New upstream release.
    + Drop unneeded patches:
      40_src-added-systemkey-args-to-BUILT_SOURCES.patch
      45_01_gnutls_ocsp_resp_get_single-fail-if-thisUpdate-is-no.patch
      45_02_gnutls_packet_get-avoid-null-pointer-dereference-on-.patch
      45_03_configure-corrected-regression-which-prevented-the-b.patch
      45_04_handshake-do-not-overwrite-the-server-s-signature-al.patch
   * Pull 40_openssl_compat-removed-unneeded-headers.patch from upstream GIT
     to fix FTBFS in openssl wrapper.
   * crywrap is not shipped with GnuTLS anymore.
   * Update copyright info, ship copy of the GNU Affero General Public
     License v3 in /usr/share/doc/libgnutls30/AGPLv3.license, two files of
     the testsuite use this license.
   * Update symbol file:
     + Add new functions.
     + Multiple core enums (including gnutls_init_flags_t) have been extended,
       and most gnutls users will invoke at least one function affected by
       this change. Bump symbol dependency info to >= 3.5.0 for all symbols,

